View | Details | Raw Unified | Return to bug 88785
Collapse All | Expand All

(-)/usr/home/emma/ports/security/openvpn/Makefile (-1 / +3 lines)
Lines 8-14 Link Here
8
PORTNAME=	openvpn
8
PORTNAME=	openvpn
9
PORTVERSION=	2.0.5
9
PORTVERSION=	2.0.5
10
PORTREVISION=	1
10
PORTREVISION=	1
11
CATEGORIES=	security
11
CATEGORIES=	security net
12
# MASTER_SITES points to hosts in distinct data centers,
13
# so just one MASTER_SITES entry should be OK.
12
MASTER_SITES=	http://openvpn.net/release/
14
MASTER_SITES=	http://openvpn.net/release/
13
15
14
MAINTAINER=	matthias.andree@gmx.de
16
MAINTAINER=	matthias.andree@gmx.de
(-)/usr/home/emma/ports/security/openvpn/distinfo (+1 lines)
Lines 1-2 Link Here
1
MD5 (openvpn-2.0.5.tar.gz) = 4bd7a42991c93db23842a0992debe53b
1
MD5 (openvpn-2.0.5.tar.gz) = 4bd7a42991c93db23842a0992debe53b
2
SHA256 (openvpn-2.0.5.tar.gz) = d72d90ff9e915c3376c834ce33a0349de0a8eacb3f2b80be49696b72a1840a9f
2
SIZE (openvpn-2.0.5.tar.gz) = 662647
3
SIZE (openvpn-2.0.5.tar.gz) = 662647
(-)/usr/home/emma/ports/security/openvpn/files/patch-tests-for-jail (-12 / +16 lines)
Lines 1-7 Link Here
1
Index: t_lpback.sh
1
--- t_lpback.sh~
2
===================================================================
2
+++ t_lpback.sh
3
--- t_lpback.sh	(revision 774)
4
+++ t_lpback.sh	(working copy)
5
@@ -19,11 +19,13 @@
3
@@ -19,11 +19,13 @@
6
 # 02110-1301, USA.
4
 # 02110-1301, USA.
7
 
5
 
Lines 18-32 Link Here
18
+rm key.$$ log.$$
16
+rm key.$$ log.$$
19
+trap 0
17
+trap 0
20
 exit $e
18
 exit $e
21
Index: t_cltsrv.sh
19
--- t_cltsrv.sh~
22
===================================================================
20
+++ t_cltsrv.sh
23
--- t_cltsrv.sh	(revision 774)
21
@@ -19,20 +19,41 @@
24
+++ t_cltsrv.sh	(working copy)
22
 # 02110-1301, USA.
25
@@ -20,19 +20,33 @@
26
 
23
 
27
 set -e
24
 set -e
28
 echo "the following test will run about two minutes..." >&2
29
-trap "rm -f log.$$ ; false" 1 2 3 15
30
+trap "rm -f log.$$ log.$$.signal ; trap 0 ; exit 77" 1 2 15
25
+trap "rm -f log.$$ log.$$.signal ; trap 0 ; exit 77" 1 2 15
31
+trap "rm -f log.$$ log.$$.signal ; exit 1" 0 3
26
+trap "rm -f log.$$ log.$$.signal ; exit 1" 0 3
32
+addopts=
27
+addopts=
Lines 34-44 Link Here
34
+    FreeBSD)
29
+    FreeBSD)
35
+    # FreeBSD jails map the outgoing IP to the jail IP - we need to
30
+    # FreeBSD jails map the outgoing IP to the jail IP - we need to
36
+    # allow the real IP unless we want the test to run forever.
31
+    # allow the real IP unless we want the test to run forever.
37
+    if test `sysctl -n security.jail.jailed` != 0 ; then
32
+    if test "`sysctl 2>/dev/null -n security.jail.jailed`" = 1 \
33
+    || `ps -ostate $$ | tail -n1 | grep >/dev/null J` ; then
38
+	addopts="--float"
34
+	addopts="--float"
35
+	if test "x`ifconfig | grep inet`" = x ; then
36
+	    echo "###"
37
+	    echo "### To run the test in a FreeBSD jail, you MUST add an IP alias for the jail's IP."
38
+	    echo "###"
39
+	    exit 1
40
+	fi
39
+    fi
41
+    fi
40
+    ;;
42
+    ;;
41
+esac
43
+esac
44
 echo "the following test will run about two minutes..." >&2
45
-trap "rm -f log.$$ ; false" 1 2 3 15
42
 set +e
46
 set +e
43
 (
47
 (
44
-./openvpn --cd "${srcdir}" --config sample-config-files/loopback-server &
48
-./openvpn --cd "${srcdir}" --config sample-config-files/loopback-server &
(-)/usr/home/emma/ports/security/openvpn/files/pkg-message.in (-3 / +5 lines)
Lines 1-9 Link Here
1
### ------------------------------------------------------------------------
1
### ------------------------------------------------------------------------
2
###  The OpenVPN port, since v2.0.1, uses rcNG to start OpenVPN.
2
###  The OpenVPN FreeBSD port, since v2.0.1, uses rcNG to start OpenVPN.
3
###  Edit /etc/rc.conf to start OpenVPN automatically at system startup.
3
###  Edit /etc/rc.conf to start OpenVPN automatically at system startup.
4
###  See %%PREFIX%%/etc/rc.d/openvpn.sh for details.
4
###  See %%PREFIX%%/etc/rc.d/openvpn.sh for details.
5
### ------------------------------------------------------------------------
5
### ------------------------------------------------------------------------
6
###  To get OpenVPN 2.0 to talk with the 1.5/1.6 versions, you may need to
6
###  To get OpenVPN 1.X to talk with the new 2.0 version, you may need to
7
###  edit the 1.X configuration file by adding these lines:
7
###  edit the 1.X configuration file by adding these lines:
8
###    tun-mtu 1500
8
###    tun-mtu 1500
9
###    tun-mtu-extra 32
9
###    tun-mtu-extra 32
Lines 13-18 Link Here
13
###  WARNING: THE DEFAULT PORT HAS CHANGED AND IS NOW 1194!
13
###  WARNING: THE DEFAULT PORT HAS CHANGED AND IS NOW 1194!
14
###  OpenVPN 1.6 and older used 5000 rather than 1194 as their default
14
###  OpenVPN 1.6 and older used 5000 rather than 1194 as their default
15
###  port, so add the proper port options to your configuration file!
15
###  port, so add the proper port options to your configuration file!
16
### ------------------------------------------------------------------------
16
### - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
17
###  For further compatibility, see <http://openvpn.net/relnotes.html>
17
###  For further compatibility, see <http://openvpn.net/relnotes.html>
18
### ------------------------------------------------------------------------
19
###  If you want to donate to OpenVPN: <http://openvpn.net/donate.html>
18
### ------------------------------------------------------------------------
20
### ------------------------------------------------------------------------
(-)/usr/home/emma/ports/security/openvpn/pkg-descr (-6 / +6 lines)
Lines 1-10 Link Here
1
OpenVPN is a robust and highly configurable VPN (Virtual Private
1
OpenVPN is a robust, scalable and highly configurable VPN (Virtual Private
2
Network) daemon which can be used to securely link two or more private
2
Network) daemon which can be used to securely link two or more private networks
3
networks using an encrypted tunnel over the internet. It uses UDP as its
3
using an encrypted tunnel over the internet. It can operate over UDP or TCP,
4
transport, avoiding TCP-over-TCP retransmission congestion. SSL can be
4
can use SSL or a pre-shared secret to authenticate peers, and in SSL mode, one
5
used to authenticate the sites, or they can use a pre-shared secret.
5
server can handle many clients.
6
6
7
WWW: http://openvpn.sourceforge.net/
7
WWW: http://openvpn.net/
8
8
9
- Matthias Andree
9
- Matthias Andree
10
matthias.andree@gmx.de
10
matthias.andree@gmx.de

Return to bug 88785